- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources/getIamPolicy#try-it)

Gets the access control policy on the specified Source.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `resource` field:

- `securitycenter.sources.getIamPolicy`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1p1beta1/{resource=organizations/*/sources/*}:getIamPolicy`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": { object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`) } } ``` |

| Fields ||
|---|---|
| `options` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `sources.getIamPolicy`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/Shared.Types/Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).